#include "ti86asm.inc"

.org _asm_exec_ram

ProgStart:
	;remove the semi-colons from the next three lines to preserve the registers (you must also remove the semi-colons from the three lines at the end)
	;push af
	;push bc
	;push de
	ld hl,$fc00				;the start of the video memory
	ld c,%11111111			;indicates that we want to invert all of the bits in the byte
	ld de,$400				;use de as the counter
WholeInfLoop:	
	dec de					;dec the counter
	ld a,(hl)				;load the data at hl into a
	xor c					;invert the data in a
	ld (hl),a				;put the inverted data back in the byte at hl
	inc hl					;move hl to the next byte in video memory
	cp a					;ld a with zero (uses less bytes than ld a,0)
	cp d					;compare d (the first register of the counter) with a (0)
	jr nz,WholeInfLoop		;if d is not zero then go to WholeInfLoop
	cp e					;compare e (the second register of the counter) with a (0)
	jr nz,WholeInfLoop		;if e is not zero then go to WholeInfLoop
	;call _getkey			
	;remove the semi-colon from the previous line and the program will stop and wait for a keypress before exiting
	;remove the semi-colons from the next three lines to restore the registers
	;pop de
	;pop bc
	;pop af
	ret						;return to the loop

.end